Bug 1902520 - pam.spec lacks BuildRequires: make
Summary: pam.spec lacks BuildRequires: make
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pam
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Iker Pedrosa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-29 22:41 UTC by Philip Rowlands
Modified: 2020-12-16 01:27 UTC (History)
3 users (show)

Fixed In Version: pam-1.4.0-10.fc33 pam-1.3.1-30.fc32
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-07 01:19:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Philip Rowlands 2020-11-29 22:41:12 UTC
Description of problem:

The %build section of pam.spec uses make, but doesn't declare it as a BuildRequires dependency.

# rpmbuild --rebuild pam-1.3.1-28.fc32.src.rpm
...
config.status: creating po/Makefile
+ make -C po update-gmo
/var/tmp/rpm-tmp.JWwHxU: line 69: make: command not found
error: Bad exit status from /var/tmp/rpm-tmp.JWwHxU (%build)


Version-Release number of selected component (if applicable):
Latest F32 version, pam-1.3.1-28


Not sure whether make is just assumed, but there are other basic build tools (autoconf, automake) listed. In order to fail fast when make is absent, suggest listing it in the spec file.

Comment 1 Fedora Update System 2020-12-04 08:48:21 UTC
FEDORA-2020-43c2aa79cb has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-43c2aa79cb

Comment 2 Fedora Update System 2020-12-05 01:59:36 UTC
FEDORA-2020-43c2aa79cb has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-43c2aa79cb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-43c2aa79cb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2020-12-07 01:19:57 UTC
FEDORA-2020-43c2aa79cb has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2020-12-11 14:20:04 UTC
FEDORA-2020-468c33b25d has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-468c33b25d

Comment 5 Fedora Update System 2020-12-13 02:41:07 UTC
FEDORA-2020-468c33b25d has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-468c33b25d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-468c33b25d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-12-16 01:27:21 UTC
FEDORA-2020-468c33b25d has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.